com.google.gwt.useragent.client

## Class UserAgentAsserter

- java.lang.Object
- - com.google.gwt.useragent.client.UserAgentAsserter

- All Implemented Interfaces:
    EntryPoint

      public class UserAgentAsserter
      extends java.lang.Object
      implements EntryPoint

  Helper class, which, during startup, asserts that the specified user.agent selection property value indeed matches the expected value for this browser / user agent, thus avoid long hours debugging strange error messages when a single user agent compile, typically created for testing purposes, ends up being executed in the wrong browser.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UserAgentAsserter.UserAgentAsserterDisabled` Replacement for UserAgentAsserter to disable it.
    `static class` | `UserAgentAsserter.UserAgentAssertionError` An error object that indicates that the user agent detected at runtime did not match the user agent that the module expected to find.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAgentAsserter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onModuleLoad()` The entry point method, called automatically by loading a module that declares an implementing class as an entry point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserAgentAsserter

          public UserAgentAsserter()

  - ### Method Detail

    - #### onModuleLoad

          public void onModuleLoad()

      Description copied from interface: `EntryPoint`
      The entry point method, called automatically by loading a module that declares an implementing class as an entry point.
      Specified by:
        `onModuleLoad` in interface `EntryPoint`